# YouTube Data API . videoCategories

## Instance Methods

Returns a list of categories that can be associated with YouTube videos.

### Method Details

`list(part, regionCode=None, hl=None, id=None)`

    Returns a list of categories that can be associated with YouTube videos.

    Args:
      part: string, The part parameter specifies the videoCategory resource parts that the API response will include. Supported values are id and snippet. (required)
      regionCode: string, The regionCode parameter instructs the API to return the list of video categories available in the specified country. The parameter value is an ISO 3166-1 alpha-2 country code.
      hl: string, The hl parameter specifies the language that should be used for text values in the API response.
      id: string, The id parameter specifies a comma-separated list of video category IDs for the resources that you are retrieving.

    Returns:
      An object of the form:

        { # A paginated list of video categories returned as the response to a youtube.videoCategory.list call.
        "eventId": "A String", # Serialized EventId of the request which produced this response.
        "items": [ # A list of video categories that can be associated with YouTube videos. In this map, the video category ID is the map key, and its value is the corresponding videoCategory resource.
          { # A videoCategory resource identifies a category that has been or could be associated with uploaded videos.
            "snippet": { # Basic details about a video category, such as its localized title. # The snippet object contains basic details about the video category, including its title.
              "channelId": "UCBR8-60-B28hp2BmDPdntcQ", # The YouTube channel that created the video category.
              "title": "A String", # The video category's title.
            },
            "kind": "youtube#videoCategory", # The kind, fixed to "youtube#videoCategory".
            "etag": "A String", # Etag of this resource.
            "id": "A String", # The ID that YouTube uses to uniquely identify the video category.
          },
        ],
        "kind": "youtube#videoCategoryListResponse", # The type of the API response. For this operation, the value will be youtube#videoCategoryListResponse.
        "etag": "A String", # The ETag of the response.
        "visitorId": "A String", # The visitorId identifies the visitor.
      }